From: "Ionen Wolkens" <ionen@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: x11-misc/xtrlock/
Date: Fri, 30 Sep 2022 11:02:16 +0000 (UTC) [thread overview]
Message-ID: <1664534894.6398d97368629e77b8ae765cfeb12805ff3a88d5.ionen@gentoo> (raw)
commit: 6398d97368629e77b8ae765cfeb12805ff3a88d5
Author: Ionen Wolkens <ionen <AT> gentoo <DOT> org>
AuthorDate: Fri Sep 30 09:57:31 2022 +0000
Commit: Ionen Wolkens <ionen <AT> gentoo <DOT> org>
CommitDate: Fri Sep 30 10:48:14 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6398d973
x11-misc/xtrlock: force gcc -E for imake's generation
Requires traditional cpp support and is broken in all sort of ways
with clang-cpp / -E. Can still use clang & friends for everything else.
Ideally these packages need to be built another way or last rited,
imake will just accumulate more problems.
Signed-off-by: Ionen Wolkens <ionen <AT> gentoo.org>
x11-misc/xtrlock/xtrlock-2.13-r1.ebuild | 16 +++++++++-------
1 file changed, 9 insertions(+), 7 deletions(-)
diff --git a/x11-misc/xtrlock/xtrlock-2.13-r1.ebuild b/x11-misc/xtrlock/xtrlock-2.13-r1.ebuild
index 6818f908f40f..fef71c7cb75b 100644
--- a/x11-misc/xtrlock/xtrlock-2.13-r1.ebuild
+++ b/x11-misc/xtrlock/xtrlock-2.13-r1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
@@ -12,17 +12,19 @@ SLOT="0"
LICENSE="GPL-3"
KEYWORDS="amd64 ppc x86"
-RDEPEND="virtual/libcrypt:=
+RDEPEND="
+ virtual/libcrypt:=
x11-libs/libX11"
-DEPEND="${RDEPEND}"
+DEPEND="
+ ${RDEPEND}
+ x11-base/xorg-proto"
BDEPEND="
- x11-base/xorg-proto
- >=x11-misc/imake-1.0.8-r1
-"
+ sys-devel/gcc
+ >=x11-misc/imake-1.0.8-r1"
src_configure() {
CC="$(tc-getBUILD_CC)" LD="$(tc-getLD)" \
- IMAKECPP="${IMAKECPP:-$(tc-getCPP)}" xmkmf || die
+ IMAKECPP="${IMAKECPP:-${CHOST}-gcc -E}" xmkmf || die
}
src_compile() {
next reply other threads:[~2022-09-30 11:02 UTC|newest]
Thread overview: 18+ messages / expand[flat|nested] mbox.gz Atom feed top
2022-09-30 11:02 Ionen Wolkens [this message]
-- strict thread matches above, loose matches on Subject: below --
2021-06-24 23:27 [gentoo-commits] repo/gentoo:master commit in: x11-misc/xtrlock/ Sam James
2021-04-15 6:39 Joonas Niilola
2021-03-15 21:39 Sam James
2021-03-15 21:25 Sam James
2021-03-15 21:21 Sam James
2021-03-15 21:18 Sam James
2020-04-01 6:09 Jeroen Roovers
2020-02-03 16:21 Jeroen Roovers
2020-02-03 15:24 Agostino Sarubbo
2020-02-03 12:38 Agostino Sarubbo
2020-02-03 12:30 Agostino Sarubbo
2020-02-02 20:24 Jeroen Roovers
2017-04-01 10:24 David Seifert
2017-03-22 7:30 Michael Weber
2017-03-21 14:34 Agostino Sarubbo
2017-03-20 11:04 Agostino Sarubbo
2016-05-27 3:27 Jeroen Roovers
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1664534894.6398d97368629e77b8ae765cfeb12805ff3a88d5.ionen@gentoo \
--to=ionen@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox